// $Id: CHttpReader.h,v 1.4 2003/04/08 13:54:15 ta_muto Exp $
// HTTP Reader Class

#ifndef __wax_CHttpReader_h
#define __wax_CHttpReader_h

#include <common.h>
#include <IReader.h>

namespace wax {
	class CHttpReader : public IReader {
		void* ctx;
	public:
		CHttpReader(const xmlChar* initPath):IReader(initPath) { ctx = NULL; }
		~CHttpReader();
		
		bool open();
		int read(char* buffer, int size);
		void close();
	} ;
}

#endif
